Menu

## ECI extends QRDataModeAbstract
in package

ECI.php : 20

Adds an ECI Designator

Please note that you have to take care for the correct data encoding when adding with QRCode::add*Segment()

### Table of Contents

$data : string
  The data to write
$datamode : int
  the current data mode: Num, Alphanum, Kanji, Byte
$encoding : int
  The current ECI encoding id
__construct() : mixed
  QRDataModeAbstract constructor.
decodeSegment() : string
getDataMode() : int
  returns the current data mode constant
getLengthInBits() : int
parseValue() : ECICharset
validateString() : bool
write() : void
getCharCount() : int
  returns the character count of the $data string
getLengthBits() : int
  shortcut

### Properties

#### $data

QRDataModeAbstract.php : 27

The data to write

`protected string $data`

#### $datamode

ECI.php : 25

the current data mode: Num, Alphanum, Kanji, Byte

`protected static int $datamode = \chillerlan\QRCode\Common\Mode::ECI`

##### Tags

inheritDoc

#### $encoding

ECI.php : 30

The current ECI encoding id

`private int $encoding`

### Methods

#### __construct()

ECI.php : 36

QRDataModeAbstract constructor.

`public __construct(int $encoding) : mixed`

##### Parameters

$encoding : int

##### Tags

inheritDoc
noinspection

  PhpMissingParentConstructorInspection

##### Return values

mixed —

#### decodeSegment()

ECI.php : 91
`public static decodeSegment(BitBuffer $bitBuffer, int $versionNumber) : string`

##### Parameters

$bitBuffer : BitBuffer
$versionNumber : int

##### Tags

codeCoverageIgnore

  Unused, but required as per interface

##### Return values

string —

#### getDataMode()

QRDataModeAbstract.php : 53

returns the current data mode constant

`public getDataMode() : int`

##### Tags

inheritDoc

##### Return values

int —

#### getLengthInBits()

ECI.php : 43
`public getLengthInBits() : int`

##### Tags

inheritDoc

##### Return values

int —

#### parseValue()

ECI.php : 60
`public static parseValue(BitBuffer $bitBuffer) : ECICharset`

##### Parameters

$bitBuffer : BitBuffer

##### Tags

throws
  QRCodeDataException

##### Return values

ECICharset —

#### validateString()

ECI.php : 84
`public static validateString(string $string) : bool`

##### Parameters

$string : string

##### Tags

codeCoverageIgnore

  Unused, but required as per interface

##### Return values

bool —

#### write()

ECI.php : 50
`public write(BitBuffer $bitBuffer, int $versionNumber) : void`

##### Parameters

$bitBuffer : BitBuffer
$versionNumber : int

##### Tags

inheritDoc

##### Return values

void —

#### getCharCount()

QRDataModeAbstract.php : 46

returns the character count of the $data string

`protected getCharCount() : int`

##### Return values

int —

#### getLengthBits()

QRDataModeAbstract.php : 60

shortcut

`protected static getLengthBits(int $versionNumber) : int`

##### Parameters

$versionNumber : int

##### Return values

int —

## Search results